value_string Struct Reference
General-purpose utility functions

A mapping between human-readable string and numeric value. More...

`#include <utils.h>`

## Data Fields

int | value
| numeric value More...
const char * | str
| human-readable string More...

## Detailed Description

A mapping between human-readable string and numeric value.

## Field Documentation

## str

const char* value_string::str

human-readable string

Referenced by get_value_string_or_null().

## value

int value_string::value

numeric value

Referenced by get_string_value().

The documentation for this struct was generated from the following file:

- include/osmocom/core/utils.h